import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    myShow: false,
    enterpriseLoaction: false,
    msgShow: false,
    msgshowIsFirst: false,
    showBtnData: {
      text: '',
      isShow: false,
    },
    parkId: null,
    enterpriseId: null,
    buildingId: null,
  },
  mutations: {
    SET_PERK_ID(state, parkId) {
      state.parkId = parkId
    }, 
    SET_BUILDING_ID(state, buildingId) {
      state.buildingId = buildingId 
    },
    SET_ENTERPRISE_ID(state, enterpriseId) {
      state.enterpriseId = enterpriseId
    },
    MYSHOW(state, value) {
      state.myShow = value
    },
    MSGSHOW(state, show) {
      state.msgShow = show
    },
    MSG_SHOW_IS_FIRST(state, show) {
      state.msgshowIsFirst = show
    },
    SET_ENTERPRISE_SHOW(state, show) {
      state.enterpriseLoaction = show
    },
    SET_IS_SHOW(state, data) {
      state.showBtnData = data
    },
  },
  actions: {},
})
